#pragma once

#include <maps/libs/geolib/include/point.h>
#include <maps/libs/geolib/include/polyline.h>
#include <maps/libs/geolib/include/vector.h>
#include <yandex/maps/wiki/revision/objectrevision.h>

namespace maps::wiki::traffic_analyzer {

geolib3::Point2 polylineMidPoint(const geolib3::Polyline2& polyline);

geolib3::Vector2 polylineGlobalDirection(const geolib3::Polyline2& polyline);

geolib3::Polyline2
polylineMercFromRoadRev(const revision::ObjectRevision& roadRev);

} // namespace maps::wiki::traffic_analyzer
